Subject: bug#59087: 29.0.50; package-vc-update error

From: Philip Kaludercic <[email-masked]>
Date: Wed, 16 Nov 2022 12:59:44 +0000

Feng Shu <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> Feng Shu <[email-masked]> writes:
>>
>>> Philip Kaludercic <[email-masked]> writes:
>>>
>>>> Feng Shu <[email-masked]> writes:
>>>>
>>>>> Philip Kaludercic <[email-masked]> writes:
>>>>>
>>>>>> Thank you for all these stack traces, I have managed to reproduce and
>>>>>> resolve all the mistakes -- at least on my end.  The new state is still
>>>>>> on scratch/package-vc-fixes.
>>>>>>
>>>>>
>>>>> Ok, new info :-)
>>>>>
>>>>> 1. package-vc-update is unusable when first run emacs.
>>>>
>>>> Unusable in what sense?  The command is not auto-loaded, so you need to
>>>>
>>>>   M-x load-library RET package-vc RET
>>>>
>>>> first.
>>>
>>> Yes, I mean command is not auto-loaded :-)
>>
>> Do you think we should make it such?  The command is strictly speaking
>> not necessary, because package-update does the same thing.
>
> If so, package-update is enough.

I will add a comment in the docstring to clarify this point.